
Name:          compress-lzf
Version:       0.9.2
Release:       %mkrel 1
Summary:       Ning-compress-LZF
Group:         Development/Java
License:       ASL 2.0
Url:           http://github.com/ning/compress
#  mkdir -p compress-lzf-0.9.2
# git clone git://github.com/ning/compress.git
# cd compress
# git archive compress-lzf-0.9.2 | tar -x -C ../compress-lzf-0.9.2
# cd ..
# tar czf compress-lzf-0.9.2-src-git.tar.gz compress-lzf-0.9.2
Source0:       compress-lzf-0.9.2-src-git.tar.gz

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: sonatype-oss-parent
BuildRequires: forge-parent

BuildRequires: testng

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-gpg-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-release-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-shared-osgi
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-surefire-provider-testng

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
Compression codec for LZF encoding for particularly encoding/decoding, with reasonable compression.
Compressor is basic Lempel-Ziv codec, without Huffman (deflate/gzip) or statistical post-encoding.
See "http://oldhome.schmorp.de/marc/liblzf.html" for more on original LZF package.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q

find -name "*.jar" -exec rm -f {} \;
find -name "*.class" -exec rm -f {} \;

%build

mvn-rpmbuild install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
cp -p target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE README.md VERSION.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sun Mar 04 2012 gil <gil> 0.9.2-1.mga2
+ Revision: 217945
- imported package compress-lzf

